CS::Graphics::CoreRenderMesh Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
CS::Graphics::CoreRenderMesh Struct Reference

Data required by the renderer to draw a mesh. More...

`#include <ivideo/rendermesh.h>`

Inheritance diagram for CS::Graphics::CoreRenderMesh:

List of all members.

## Public Attributes
csBox3 | bbox
| Render mesh bounding box, object space.
int | clip_plane
| Clipping parameter.
int | clip_portal
| Clipping parameter.
int | clip_z_plane
| Clipping parameter.
const char * | db_mesh_name
| To make debugging easier we add the name of the mesh object here in debug mode.
bool | do_mirror
| Mirror mode - whether the mesh should be mirrored.
iMaterialWrapper * | material
| Material used for this mesh.
csRenderMeshType | meshtype
| Mesh type.
RenderMeshIndexRange * | multiRanges
| Index ranges to render.
csReversibleTransform | object2world
| Transform object space -> world space.
size_t | rangesNum
| Number of index ranges in multiRanges.
unsigned int | indexstart
| Start and end of the range of indices to use.
unsigned int | indexend
| Start and end of the range of indices to use.

## Detailed Description

Data required by the renderer to draw a mesh.

Definition at line 272 of file rendermesh.h.

## Member Data Documentation

csBox3 CS::Graphics::CoreRenderMesh::bbox

Render mesh bounding box, object space.

Definition at line 349 of file rendermesh.h.

int CS::Graphics::CoreRenderMesh::clip_plane

Clipping parameter.

Definition at line 292 of file rendermesh.h.

int CS::Graphics::CoreRenderMesh::clip_portal

Clipping parameter.

Definition at line 289 of file rendermesh.h.

int CS::Graphics::CoreRenderMesh::clip_z_plane

Clipping parameter.

Definition at line 295 of file rendermesh.h.

const char* CS::Graphics::CoreRenderMesh::db_mesh_name

To make debugging easier we add the name of the mesh object here in debug mode.

Definition at line 278 of file rendermesh.h.

bool CS::Graphics::CoreRenderMesh::do_mirror

Mirror mode - whether the mesh should be mirrored.

Essentially toggles between back- and front-face culling. It should be set to `true` if object2camera contains a negative scaling. Basically, in almost any case it should be set to the camera's mirror mode.

     iCamera* camera;
     csRenderMesh myMesh;
       ...
     myMesh.object2camera = camera->GetTransform () /
       movable->GetFullTransform ();
     myMesh.do_mirror = camera->IsMirrored ();

Definition at line 314 of file rendermesh.h.

unsigned int CS::Graphics::CoreRenderMesh::indexend

Start and end of the range of indices to use.

The indices are used in the range from indexstart (inclusive) to indexend (exclusive): indexstart <= n < indexend

Definition at line 333 of file rendermesh.h.

unsigned int CS::Graphics::CoreRenderMesh::indexstart

Start and end of the range of indices to use.

The indices are used in the range from indexstart (inclusive) to indexend (exclusive): indexstart <= n < indexend

Definition at line 332 of file rendermesh.h.

iMaterialWrapper* CS::Graphics::CoreRenderMesh::material

Material used for this mesh.

Used for e.g. sorting by material.

Definition at line 340 of file rendermesh.h.

csRenderMeshType CS::Graphics::CoreRenderMesh::meshtype

Mesh type.

Definition at line 317 of file rendermesh.h.

RenderMeshIndexRange* CS::Graphics::CoreRenderMesh::multiRanges

Index ranges to render.

If ranges are specified they have precedence over indexstart and indexend.

Definition at line 322 of file rendermesh.h.

csReversibleTransform CS::Graphics::CoreRenderMesh::object2world

Transform object space -> world space.

Remarks:
  'this' space is object space, 'other' space is world space

Definition at line 346 of file rendermesh.h.

size_t CS::Graphics::CoreRenderMesh::rangesNum

Number of index ranges in multiRanges.

Definition at line 324 of file rendermesh.h.

The documentation for this struct was generated from the following file:

- ivideo/rendermesh.h